using System;

namespace Ekskurzija
{
    class Program
    {
        static void DaLiMoze(string[] red)
        {
            int n = Convert.ToInt32(red[0]);
            int m = Convert.ToInt32(red[1]);
            int k = Convert.ToInt32(red[2]);
            int broj_ljudi_u_grupi = n / k;
            int ostatak_ljudi = n % k;
            int min_broj_bananica=0;
            for (int i = 1; i < broj_ljudi_u_grupi + 1; i++)
            {
                min_broj_bananica += i;
            }
            min_broj_bananica *= k;
            min_broj_bananica += (broj_ljudi_u_grupi + 1) * ostatak_ljudi;
            if (min_broj_bananica<=m) Console.WriteLine("Tak");
            else Console.WriteLine("Nie");
        }
        static void Main(string[] args)
        {
            int t = Convert.ToInt32(Console.ReadLine());
            string[] red;
            for (int i = 0; i < t; i++) 
            {
                red = Console.ReadLine().Split();
                DaLiMoze(red);
            }
        }
    }
}